#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    long long a,b,c,bra,brb,brc,a1,b1,c1,k[8],i,max;
    scanf("%lld %lld %lld", &a, &b, &c);
    a1=a;
    b1=b;
    c1=c;
    bra=0;
    brb=0;
    brc=0;
    while(a1>0)
    {
        a1=a1/10;
        bra=bra+1;

    }
    while(b1>0)
    {
        b1=b1/10;
        brb=brb+1;

    }
    while(c1>0)
    {
        c1=c1/10;
        brc=brc+1;

    }
    k[1]=a*pow(10, brb+brc)+b*pow(10,brc)+c;
    k[2]=a*pow(10, brb+brc)+c*pow(10,brb)+b;
    k[3]=b*pow(10, bra+brc)+a*pow(10,brc)+c;
    k[4]=b*pow(10, bra+brc)+c*pow(10,bra)+a;
    k[5]=c*pow(10, brb+bra)+b*pow(10,bra)+a;
    k[6]=c*pow(10, brb+bra)+a*pow(10,brb)+b;
    max=k[1];
    for(i=2; i<=6;i++)
    {
      if(k[i]>max)
      {
          max=k[i];
      }
    }
    printf("%lld", max);

    return 0;
}